package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsDisease;
import com.fs.his.param.FsDiseaseListUParam;
import com.fs.his.vo.FsDiseaseListUVO;
import com.fs.his.vo.FsDiseaseListVO;
import com.fs.his.vo.FsDiseaseVO;

/**
 * 疾病Service接口
 *
 * @author fs
 * @date 2023-06-01
 */
public interface IFsDiseaseService
{
    /**
     * 查询疾病
     *
     * @param diseaseId 疾病主键
     * @return 疾病
     */
    public FsDisease selectFsDiseaseByDiseaseId(Long diseaseId);

    /**
     * 查询疾病列表
     *
     * @param fsDisease 疾病
     * @return 疾病集合
     */
    public List<FsDisease> selectFsDiseaseList(FsDisease fsDisease);

    /**
     * 新增疾病
     *
     * @param fsDisease 疾病
     * @return 结果
     */
    public int insertFsDisease(FsDisease fsDisease);

    /**
     * 修改疾病
     *
     * @param fsDisease 疾病
     * @return 结果
     */
    public int updateFsDisease(FsDisease fsDisease);

    /**
     * 批量删除疾病
     *
     * @param diseaseIds 需要删除的疾病主键集合
     * @return 结果
     */
    public int deleteFsDiseaseByDiseaseIds(Long[] diseaseIds);

    /**
     * 删除疾病信息
     *
     * @param diseaseId 疾病主键
     * @return 结果
     */
    public int deleteFsDiseaseByDiseaseId(Long diseaseId);

    List<FsDiseaseListVO> selectFsDiseaseListVO(FsDisease fsDisease);


    List<FsDiseaseListUVO> selectFsDiseaseListUVO(FsDiseaseListUParam param);
    FsDiseaseVO selectFsDiseaseVOByDiseaseId(Long diseaseId);
}
